Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Kent Fredric" <kentfredric@...>
Subject: proj/perl-overlay:master commit in: dev-perl/Task-Kensho-WebDev/
Date: Sun, 24 Jun 2012 21:13:09 +0000 (UTC)
commit:     50c322e63bea8872b3dda9d7647e6b24192c48d3
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Jun 24 16:58:47 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Jun 24 16:58:47 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=50c322e6

[newversion] Task-Kensho-WebDev-0.290.0

(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/Task-Kensho-WebDev/ChangeLog              |    8 +++-
 .../Task-Kensho-WebDev-0.290.0.ebuild              |   48 ++++++++++++++++++++
 dev-perl/Task-Kensho-WebDev/metadata.xml           |    5 +-
 3 files changed, 58 insertions(+), 3 deletions(-)

diff --git a/dev-perl/Task-Kensho-WebDev/ChangeLog b/dev-perl/Task-Kensho-WebDev/ChangeLog
index 83095dd..e18bb22 100644
--- a/dev-perl/Task-Kensho-WebDev/ChangeLog
+++ b/dev-perl/Task-Kensho-WebDev/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for dev-perl/Task-Kensho-WebDev
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Task-Kensho-WebDev-0.290.0 (24 Jun 2012)
+
+  24 Jun 2012; Kent Fredric <kentfredric@...>
+  +Task-Kensho-WebDev-0.290.0.ebuild, metadata.xml:
+  Version Bump
+
 *Task-Kensho-WebDev-0.280.0 (26 Mar 2011)
 
   26 Mar 2011; Kent Fredric <kentfredric@...>

diff --git a/dev-perl/Task-Kensho-WebDev/Task-Kensho-WebDev-0.290.0.ebuild b/dev-perl/Task-Kensho-WebDev/Task-Kensho-WebDev-0.290.0.ebuild
new file mode 100644
index 0000000..6a8f6f4
--- /dev/null
+++ b/dev-perl/Task-Kensho-WebDev/Task-Kensho-WebDev-0.290.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ETHER
+MODULE_VERSION=0.29
+inherit perl-module
+
+DESCRIPTION='A glimpse at an Enlightened Perl (web development).'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+catalyst +tt +cgi-formbuilder-perlconfig +xmlrss +xmlatom +mimetypes +plack"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.36
+}
+perl_meta_build() {
+	# ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.36
+}
+feature() {
+	local name="$1";
+	shift;
+	echo "$name? (";
+	echo "$@";
+	echo ")";
+}
+perl_meta_runtime() {
+	feature "catalyst" "dev-perl/Catalyst-Runtime"
+	# Plack
+	feature "plack" "dev-perl/Plack"
+	feature "tt" "dev-perl/Template-Toolkit"
+	feature "cgi-formbuilder-perlconfig" "dev-perl/CGI-FormBuilder-Source-Perl"
+	feature "xmlrss"  "dev-perl/XML-RSS"
+	feature "xmlatom" "dev-perl/XML-Atom"
+	# MIME::Types
+	feature "mimetypes" "dev-perl/MIME-Types"
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/Task-Kensho-WebDev/metadata.xml b/dev-perl/Task-Kensho-WebDev/metadata.xml
index 30e2c6c..cfc219d 100644
--- a/dev-perl/Task-Kensho-WebDev/metadata.xml
+++ b/dev-perl/Task-Kensho-WebDev/metadata.xml
@@ -9,12 +9,13 @@
     <use>
         <flag name="catalyst">Install Catalyst and friends via
 			<pkg>dev-perl/Task-Catalyst</pkg></flag><flag name="tt">Install Template Toolkit (
-			<pkg>dev-perl/Template-Toolkit</pkg>)</flag>
+			<pkg>dev-perl/Template-Toolkit</pkg> )</flag>
         <flag name="cgi-formbuilder-perlconfig">Install
 			<pkg>dev-perl/CGI-FormBuilder-Source-Perl</pkg></flag>
         <flag name="xmlrss">Install <pkg>dev-perl/XML-RSS</pkg></flag>
         <flag name="xmlatom">Install <pkg>dev-perl/XML-Atom</pkg></flag>
-        <flag name="mimetypes">Install <pkg>dev-perl/MIME-Types</pkg></flag>
+		<flag name="mimetypes">Install <pkg>dev-perl/MIME-Types</pkg></flag>
+		<flag name="plack">Install <pkg>dev-perl/Plack</pkg></flag>
     </use>
     <upstream>
         <remote-id type="cpan">Task-Kensho-WebDev</remote-id>


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in x11-drivers/radeon-ucode: ChangeLog radeon-ucode-20120320.ebuild
Next by thread:
proj/perl-overlay:master commit in: dev-perl/Task-Kensho-Testing/
Previous by date:
proj/perl-overlay:master commit in: dev-perl/Task-Kensho/
Next by date:
proj/perl-overlay:master commit in: dev-perl/Dist-Zilla-Plugin-Git/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.